Transfer
GET
/transfersList
List transfers visible to the current application/country.
Supports page-based pagination plus the deprecated filter[paid|canceled|refunded] boolean aliases (translated server-side to filter[status][in]=...). For new clients prefer filter[status][in]=paid,captured etc.
Requires: Bearer token, X-Country header.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/transfers/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[account]=&filter[amount]=&filter[created_at]=&filter[currency]=&filter[from_customer_id]=&filter[id]=&filter[labels]=&filter[number]=&filter[status]=&filter[to_balance_id]=&filter[to_customer_id]=&filter[updated_at]=' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request. |
Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": "<RFC3339 timestamp>",
"updated_at": "<RFC3339 timestamp>",
"amount": 0,
"application_fee_amount": 0,
"application_tax_amount": 0,
"net_amount": 0,
"currency": "<string>",
"scaling_factor": 0,
"status": "<string>",
"from": {
"customer_id": "<string>",
"account_id": "<string>",
"balance_id": "<string>"
},
"to": {
"customer_id": "<string>",
"account_id": "<string>",
"balance_id": "<string>"
},
"idempotency_key": "<string>",
"destination": "<string>",
"source_transaction": "<string>",
"transfer_group": "<string>",
"amount_reversed": 0,
"reversed": false,
"labels": "<core.Labels>",
"from_customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
},
"from_balance": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"customer_id": "<string>",
"account": "<string>",
"currency": "<string>",
"name": "<string>",
"available": 0,
"hold": 0,
"scaling_factor": 0,
"description": "<string>",
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
}
},
"to_customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
},
"to_balance": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"customer_id": "<string>",
"account": "<string>",
"currency": "<string>",
"name": "<string>",
"available": 0,
"hold": 0,
"scaling_factor": 0,
"description": "<string>",
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"is_application_customer": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"metadata": {},
"labels": "<core.Labels>",
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
}
}
}
],
"page": 1,
"limit": 10,
"total_items": 1,
"total_pages": 1
}